package de.mbohlen.tools.jpresenter;

import javax.swing.AbstractListModel;

public class PresentationListModel extends AbstractListModel
{
    private Presentation pres;
    public PresentationListModel (Presentation p)
    {
        this.pres = p;
    }

    /**
     * Constructor for PresentationListModel.
     */
    public PresentationListModel()
    {
        super();
    }

    /**
     * @see javax.swing.ListModel#getSize()
     */
    public int getSize()
    {
        return pres.getSlides().size();
    }

    /**
     * @see javax.swing.ListModel#getElementAt(int)
     */
    public Object getElementAt(int index)
    {
        return pres.getSlides().get(index);
    }

}
