package de.mbohlen.tools.jpresenter.test;

import java.io.File;

import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;
import junit.framework.TestCase;

import de.mbohlen.tools.jpresenter.PresentationHandler;

public class PresentationParserTest extends TestCase
{
    /**
     * Constructor for PresentationParserTest.
     * @param name
     */
    public PresentationParserTest(String name)
    {
        super(name);
    }

    public static void main(String[] args)
    {
        junit.swingui.TestRunner.run(PresentationParserTest.class);
    }

    /**
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception
    {
        super.setUp();
    }

    /**
     * @see TestCase#tearDown()
     */
    protected void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testParser() throws Exception
    {
        SAXParserFactory spf = null;
        SAXParser sp = null;

        spf = SAXParserFactory.newInstance();
        spf.setNamespaceAware(true);

        sp = spf.newSAXParser();

        PresentationHandler pp = new PresentationHandler();
        sp.parse(new File("src/de/mbohlen/tools/jpresenter/testPres.xml"), pp);
        
        assertEquals (pp.getPresentation().getSlides().size(), 2);
    }
}
